package com.sunxung.factoring.entity.financing.payment;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.Dictionary;

import java.math.BigDecimal;

/**
 * @Description:付款信息实体
 * @Author:wanxiangZhou
 * @E-mail:zhouyu@sunxung.cn
 * @Date:2018年9月7日 下午2:47:31
 */
@TableName("payment_info")
public class PaymentInfo extends BaseEntity {

    /**
     * 业务编号
     */
    private String businessNo;

    /**
     * 融资申请基础信息Id
     */
    @TableField("c_financing_basic_info_id")
    private Long financingBasicInfoId;

    /**
     * 合同信息Id
     */
    private Long contractInfoId;

    /**
     * 额度支用Id
     */
    private Long quotaDisburseId;

    /**
     * 批次号
     */
    private Integer quotaDisburseBatch;

    /**
     * 合同编号
     */
    private String contractNo;

    /**
     * 放款总额
     */
    private BigDecimal totalLoanAmount;

    /**
     * 项目名称
     */
    @TableField(exist = false)
    private String projectName;

    /**
     * 核心企业名称
     */
    @TableField(exist = false)
    private String enterprise;

    /**
     * 供应商（主体）名称
     */
    @TableField(exist = false)
    private String supplierName;

    /**
     * 债务人
     */
    @TableField(exist = false)
    private String debtorListStr;

    /**
     * 融资本金
     */
    @TableField(exist = false)
    private BigDecimal financialAmount;

    /**
     * 币种
     */
    @TableField(exist = false)
    private Dictionary currency;

    /**
     * 贸易平台
     */
    @TableField(exist = false)
    private String platformName;

    public String getBusinessNo() {
        return businessNo;
    }

    public void setBusinessNo(String businessNo) {
        this.businessNo = businessNo;
    }

    public Long getContractInfoId() {
        return contractInfoId;
    }

    public void setContractInfoId(Long contractInfoId) {
        this.contractInfoId = contractInfoId;
    }

    public Long getQuotaDisburseId() {
        return quotaDisburseId;
    }

    public void setQuotaDisburseId(Long quotaDisburseId) {
        this.quotaDisburseId = quotaDisburseId;
    }

    public Integer getQuotaDisburseBatch() {
        return quotaDisburseBatch;
    }

    public void setQuotaDisburseBatch(Integer quotaDisburseBatch) {
        this.quotaDisburseBatch = quotaDisburseBatch;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public BigDecimal getTotalLoanAmount() {
        return totalLoanAmount;
    }

    public void setTotalLoanAmount(BigDecimal totalLoanAmount) {
        this.totalLoanAmount = totalLoanAmount;
    }

    public Long getFinancingBasicInfoId() {
        return financingBasicInfoId;
    }

    public void setFinancingBasicInfoId(Long financingBasicInfoId) {
        this.financingBasicInfoId = financingBasicInfoId;
    }

    public String getDebtorListStr() {
        return debtorListStr;
    }

    public void setDebtorListStr(String debtorListStr) {
        this.debtorListStr = debtorListStr;
    }

    public Dictionary getCurrency() {
        return currency;
    }

    public void setCurrency(Dictionary currency) {
        this.currency = currency;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getEnterprise() {
        return enterprise;
    }

    public void setEnterprise(String enterprise) {
        this.enterprise = enterprise;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public BigDecimal getFinancialAmount() {
        return financialAmount;
    }

    public void setFinancialAmount(BigDecimal financialAmount) {
        this.financialAmount = financialAmount;
    }

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }
}
